Foxit PDF SDK

Instance Methods | List of all members
FSLRGraphicsObjectElement Class Reference
Inheritance diagram for FSLRGraphicsObjectElement:

## Instance Methods
(FSRectF *) | - getBBox
| Get bounding box. More...
(FSPDFDictionary *) | - getDict
| Get PDF dictionary of related graphics object. More...
(FSGraphicsObject *) | - getGraphicsObject
| Get related graphics object. More...
(int) | - getGraphicsObjectIndex
| Get index of related graphics object. More...
(FSMatrix2D *) | - getMatrix
| Get matrix. More...
(FSLRGraphicsObjectElement *) | - getParentGraphicsObjectElement
| Get the parent graphics object element. More...
(id) | - initWithElement:
| Constructor, with parent class object. More...
(id) | - initWithOther:
| Constructor, with another graphics object element object. More...
Instance Methods inherited from FSLRElement
(FSLRElementElementType) | - getElementType
| Get element type. More...
(id) | - initWithOther:
| Constructor, with another base element object. More...
(BOOL) | - isContentElement
| Check whether current object is content element or not. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(BOOL) | - isGraphicsObjectElement
| Check whether current object is graphics object element or not. More...
(BOOL) | - isStructureElement
| Check whether current object is structure element or not. More...
(NSString *) | - stringifyType
| Convert type (enum value) of current element to a short and memorable string (text) representation. More...

## Additional Inherited Members
Class Methods inherited from FSLRElement
(NSString *) | + stringifyElementType:
| Convert enum value of a specified element type to a short and memorable string (text) representation. More...

## Detailed Description

This class represents a graphics object element. Graphics object element can be used to get related the graphics object.

## Method Documentation

## ◆ getBBox()

- (FSRectF *) getBBox |  |  |

Get bounding box.

Returns
  Bounding box.

## ◆ getDict()

- (FSPDFDictionary *) getDict |  |  |

Get PDF dictionary of related graphics object.

This function is available when related graphics object is a form XObject type. For other graphics object type, this function will return nil.

Returns
  PDF dictionary of related graphics object.

## ◆ getGraphicsObject()

- (FSGraphicsObject *) getGraphicsObject |  |  |

Get related graphics object.

Returns
  Related graphics object. If no graphics object can be retrieved, this function will return nil.

## ◆ getGraphicsObjectIndex()

- (int) getGraphicsObjectIndex |  |  |

Get index of related graphics object.

Returns
  Index of graphics object.

## ◆ getMatrix()

- (FSMatrix2D *) getMatrix |  |  |

Get matrix.

Returns
  The matrix.

## ◆ getParentGraphicsObjectElement()

- (FSLRGraphicsObjectElement *) getParentGraphicsObjectElement |  |  |

Get the parent graphics object element.

Returns
  Parent graphics object element. If function LRGraphicsObjectElement::IsEmpty for the returned object returns YES, that means current element does not have a parent graphics object element.

## ◆ initWithElement:()

- (id) initWithElement: |  | (FSLRElement*) | element |

Constructor, with parent class object.

Parameters

  [in] | element | Parent class object.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSLRGraphicsObjectElement*) | other |

Constructor, with another graphics object element object.

Parameters

  [in] | other | Another graphics object element object.